summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGordian Edenhofer2017-10-29 22:42:59 +0100
committerGordian Edenhofer2017-10-29 22:42:59 +0100
commita4358792bcef7507f0d9d9d06f6c7286df914e41 (patch)
tree56af23fa0e968f912a730200a566963b43a35075
parentd632ef99cd244db05ef28746194a5e7905eeb74f (diff)
downloadaur-a4358792bcef7507f0d9d9d06f6c7286df914e41.tar.gz
slurm-llnl: Add gtk2 to makedepends
Despite not being required at runtime, GTK2 is still necessary for compiling the source successfully. slurm-llnl-dev slurm-llnl-git
-rw-r--r--.SRCINFO1
-rw-r--r--PKGBUILD2
2 files changed, 2 insertions, 1 deletions
diff --git a/.SRCINFO b/.SRCINFO
index b1fb393cfe6..2af33a75c5f 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -8,6 +8,7 @@ pkgbase = slurm-llnl-dev
arch = x86_64
license = GPL
makedepends = python
+ makedepends = gtk2
depends = munge
optdepends = hwloc: enables the task/cgroup plugin
optdepends = lua: the lua API will be available in various plugins
diff --git a/PKGBUILD b/PKGBUILD
index c1678e51678..0252ebc8e64 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -28,7 +28,7 @@ optdepends=("hwloc: enables the task/cgroup plugin"
"numactl: NUMA support in the task/affinity plugin"
"ncurses: adds the smap command "
"gtk2: enables the sview command, a simple graphical frontend")
-makedepends=('python')
+makedepends=('python' 'gtk2')
provides=("slurm-llnl=${pkgver}")
conflicts=('slurm-llnl')
backup=('etc/default/slurm-llnl')